#
# spec file for package rarpd (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libnet libpcap
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libnet libpcap libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rarpd
Copyright:    distributable
Group:        Networking/Utilities
Autoreqprov:  on
Version:      1.1
Release:      110
Source:       %{name}-%{version}.tar.bz2
URL:          ftp://ftp.dementia.org/pub/net-tools/
BuildRoot:    %{_tmppath}/%{name}-build
Summary:      reverse address resolution protocol daemon

%description
Rarpd listens on the ethernet for broadcast packets asking
for reverse address resolution.  These packets are sent by
hosts  at  boot  time to find out their IP address.

Authors:
--------
    Derrick Brashear <shadow@dementia.org>

SuSE series: n

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --mandir=%{_mandir} --prefix=%{prefix} --infodir=%{_infodir} --sysconfdir=%{_sysconfdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/%{_mandir}/man8/
gzip rarpd.8
install rarpd.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING TODO
%doc %{_mandir}/man8/rarpd.8.gz
/sbin/rarpd

%changelog -n rarpd
* Thu Aug 09 2001 - ro@suse.de
- use libpcap instead of (dropped) libpcapn
* Sat Jan 13 2001 - vinil@suse.cz
- initial release (v1.1)
